<?php
/*
 * View.class [ HELPER MVC ]
 * Responsavel por executar gerenciar e validar funções baseadas e short_cod.
 * Arquitetura MVC!
 * 
 * @copyright (c) 2014, Diego Perez Ferreira Perfect Designer Tecnologia
 */
class Shortcode {

/* Retorna o conteudo dentrop de um shortcode */ 
public function content($txt, $tag){
    $offset = 0;
    $start_tag = "<".$tag;
    $end_tag = "</".$tag.">";
    $arr = array();
    do{
        $pos = strpos($txt,$start_tag,$offset); 
        if($pos){
            $str_pos = strpos($txt,">",$pos)+1;
            $end_pos = strpos($txt,$end_tag,$str_pos);  
            $len = $end_pos - $str_pos;
            $f_text = substr($txt,$str_pos,$len);


    $arr[] = $f_text;
        $offset = $end_pos;
    }
}while($pos);

return $arr;

}

/* Retorna valor de parametros dentro do shortcode */ 
public function filter($txt = false, $val = false){
	
if( strpos($txt, $val) == true ):	
	
	$start     = explode($val.'="', $txt);
	$final     = explode('"', trim($start[1]));
	$count     = count($start);	
	return $final[0];
	
else:
	
return "";
	
endif;	
	
}
   
}
